RWSS< STANDARD, H > Struct Template Reference

Rabin-Williams signature scheme. More...

`#include <rw.h>`

Inheritance diagram for RWSS< STANDARD, H >:

## Additional Inherited Members

Public Types inherited from TF_SS< RW, STANDARD, H >
typedef STANDARD | Standard
| see SignatureStandard for a list of standards
typedef Standard::SignatureMessageEncodingMethod | MessageEncodingMethod
typedef TF_SignatureSchemeOptions< TF_SS< RW, STANDARD, H, int >, RW, MessageEncodingMethod, H > | SchemeOptions
typedef PK_FinalTemplate< TF_SignerImpl< SchemeOptions > > | Signer
| implements PK_Signer interface
typedef PK_FinalTemplate< TF_VerifierImpl< SchemeOptions > > | Verifier
| implements PK_Verifier interface
Public Types inherited from RW
typedef RWFunction | PublicKey
typedef InvertibleRWFunction | PrivateKey
Static Public Member Functions inherited from TF_SS< RW, STANDARD, H >
static std::string | StaticAlgorithmName ()
Static Public Member Functions inherited from RW
static const char * | StaticAlgorithmName ()

## Detailed Description

template<class STANDARD, class H>
struct RWSS< STANDARD, H >

Rabin-Williams signature scheme.

Template Parameters

  STANDARD | signature standard
  H | hash transformation

Since
  Crypto++ 3.0

Definition at line 140 of file rw.h.

The documentation for this struct was generated from the following file:

- rw.h